PluginOsMapping (CMDB Model API)
Keywords: com.collation.platform.model.plugin.PluginOsMapping interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.plugin
Interface PluginOsMapping

All Superinterfaces:
  Configuration, ModelObject, java.io.Serializable

    public interface PluginOsMapping

extends Configuration

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`java.lang.String` | `getOsNameList()`
`PluginDefinition` | `getPluginDef()`
`boolean` | `hasOsNameList()`
`boolean` | `hasPluginDef()`
`void` | `setOsNameList(java.lang.String osNames)`
`void` | `setPluginDef(PluginDefinition pluginDef)`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPluginDef

    PluginDefinition getPluginDef()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPluginDef

    void setPluginDef(PluginDefinition pluginDef)

### hasPluginDef

    boolean hasPluginDef()

### getOsNameList

    java.lang.String getOsNameList()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOsNameList

    void setOsNameList(java.lang.String osNames)

### hasOsNameList

    boolean hasOsNameList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD